## com.google.appengine.api.memcache
Class MemcacheServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.memcache.MemcacheServiceException

All Implemented Interfaces:
  java.io.Serializable

    public class MemcacheServiceException

extends java.lang.RuntimeException

An exception for backend non-availability or similar error states which may occur, but are not necessarily indicative of a coding or usage error by the application. In most cases these will be given to the `ErrorHandler` to resolve. Use `ConsistentErrorHandler` if in all cases this exception should be directed to the `ErrorHandler`.

See Also:
  Serialized Form

Constructor Summary
`MemcacheServiceException(java.lang.String message)`
`MemcacheServiceException(java.lang.String message, java.lang.Throwable ex)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemcacheServiceException

    public MemcacheServiceException(java.lang.String message,
                                    java.lang.Throwable ex)

### MemcacheServiceException

    public MemcacheServiceException(java.lang.String message)